Sessions
List sessions
Return all running sessions for the org that owns this project.
GET
/projects/{projectId}HTTP client
Set up your HTTP client with the auth header before calling the API. Match the authentication type shown above.
const BASE_URL = 'https://api.mudbase.dev/api/sandboxes';
const HEADERS = {
'x-api-key': 'sk_YOUR_API_KEY',
'Content-Type': 'application/json',
};const BASE_URL = 'https://api.mudbase.dev/api/sandboxes';
const HEADERS = {
'x-api-key': 'sk_YOUR_API_KEY',
'Content-Type': 'application/json',
};Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const res = await fetch('https://api.mudbase.dev/api/sandboxes/projects/YOUR_PROJECT_ID', {
method: 'GET',
headers: HEADERS,
});
const data = await res.json();const res = await fetch('https://api.mudbase.dev/api/sandboxes/projects/YOUR_PROJECT_ID', {
method: 'GET',
headers: HEADERS,
});
const data = await res.json();Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Get your API key from the console
No Request Yet
Send a request to see the full inspector
Authentication
Requires API Key
Note
Include your API key in the
X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | - |
Responses
200Sessions listed.
json
{
"success": true,
"sessions": [
{
"sessionId": "sess_K3LtDurRYhHbhvlBR5",
"language": "en-US",
"languageVersion": "en-US",
"status": "suspended",
"timeoutAt": "2026-08-29T20:33:26.120Z",
"publicUrl": "https://blaring-meatloaf.name/",
"alwaysOn": true,
"cellName": "Randal Abbott"
}
]
}{
"success": true,
"sessions": [
{
"sessionId": "sess_K3LtDurRYhHbhvlBR5",
"language": "en-US",
"languageVersion": "en-US",
"status": "suspended",
"timeoutAt": "2026-08-29T20:33:26.120Z",
"publicUrl": "https://blaring-meatloaf.name/",
"alwaysOn": true,
"cellName": "Randal Abbott"
}
]
}